> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Gerar uma imagem

> Gera uma imagem a partir de um prompt.

Cria uma ou mais imagens a partir de um prompt de texto.


## OpenAPI

````yaml pt-BR/openapi/v1/openapi.localized.yaml POST /images/generations
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    Uma API de gateway para acessar diversos modelos de IA por meio de endpoints
    compatíveis com OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: Roteamento global
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /images/generations:
    post:
      tags:
        - Gateway
      summary: Criar imagem
      description: Gera uma imagem a partir de um prompt.
      operationId: createImage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImagesGenerationRequest'
      responses:
        '200':
          description: Resposta de imagem
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImagesGenerationResponse'
            text/event-stream:
              schema:
                type: string
components:
  schemas:
    ImagesGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
        prompt:
          type: string
        size:
          type: string
        resolution:
          type: string
        'n':
          type: integer
          minimum: 1
          maximum: 10
        quality:
          type: string
        stream:
          type: boolean
        partial_images:
          type: integer
          minimum: 0
          maximum: 3
        output_format:
          type: string
          enum:
            - png
            - jpeg
            - webp
        output_compression:
          type: integer
          minimum: 0
          maximum: 100
        background:
          type: string
          enum:
            - transparent
            - opaque
            - auto
        moderation:
          type: string
          enum:
            - auto
            - low
        response_format:
          type: string
        style:
          type: string
        user:
          type: string
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ImagesGenerationResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Image'
    ProviderRoutingOptions:
      type: object
      description: Preferências de roteamento de provedores para seleção pelo gateway.
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: Incluir provedores alpha no roteamento (desativado por padrão).
        allow_fallbacks:
          type: boolean
          nullable: true
          description: Permitir fallback para outro provedor elegível após uma falha.
        require_parameters:
          type: boolean
          nullable: true
          description: >-
            Exigir suporte do provedor aos parâmetros solicitados antes do
            roteamento.
        required_execution_region:
          type: string
          nullable: true
          description: >-
            Restringir o roteamento a provedores com a região de execução
            solicitada.
        required_data_region:
          type: string
          nullable: true
          description: >-
            Restringir o roteamento a provedores com a região de dados
            solicitada.
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: >-
            Restringir o roteamento a provedores que oferecem retenção zero de
            dados.
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: >-
            Classificar os provedores para esta solicitação, por exemplo, por
            preço, latência ou throughput.
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
    Image:
      type: object
      properties:
        url:
          type: string
        b64_json:
          type: string
        revised_prompt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Autenticação com token Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.